Supported Systems

ClockMaker 1.5 will work on the following Operating Systems :-

MAC OSX

Minimum of OS X 10.10.5 & higher is needed. It is code-signed and notarized for 10.14.5 and higher (Includes Catalina). 

WINDOWS

Windows 7
Windows 8 & 8.1
Windows 10
Windows Server 2008 & Higher.

Please note that Windows XP and Vista are no longer supported. If it works, any future upgrades may not.

Still need help? Contact Us Contact Us